package com.steerinfo.meterwork.meterworkmonitor.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="计量监控表")
public class MeterWorkMonitor implements IBasePO<String> {
    /**
     * 计量点编号(POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String pointNo;

    /**
     * 计量点(POINT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点",required=false)
    private String pointName;

    /**
     * 验证重量  0不验证  1验证(VALID_WGT,VARCHAR,1)
     */
    @ApiModelProperty(value="验证重量  0不验证  1验证",required=false)
    private String validWgt;

    /**
     * 验证车号  0不验证  1验证(VALID_CARNO,VARCHAR,1)
     */
    @ApiModelProperty(value="验证车号  0不验证  1验证",required=false)
    private String validCarno;

    /**
     * 验证回皮时间  0不验证  1验证(VALID_TARE_TIME,VARCHAR,1)
     */
    @ApiModelProperty(value="验证回皮时间  0不验证  1验证",required=false)
    private String validTareTime;

    /**
     * 验证时间间隔  0不验证  1验证(VALID_TIME_INTERVAL,VARCHAR,1)
     */
    @ApiModelProperty(value="验证时间间隔  0不验证  1验证",required=false)
    private String validTimeInterval;

    /**
     * 验证对射(实时数据库停车位置)  0不验证  1验证(VALID_PARK_STATUS,VARCHAR,1)
     */
    @ApiModelProperty(value="验证对射(实时数据库停车位置)  0不验证  1验证",required=false)
    private String validParkStatus;

    /**
     * 验证危化品超重  0不验证  1验证(VALID_EXCEED_WGT,VARCHAR,1)
     */
    @ApiModelProperty(value="验证危化品超重  0不验证  1验证",required=false)
    private String validExceedWgt;

    /**
     * 验证毛皮超差  0不验证  1验证(VALID_PREDICTION_DIFF,VARCHAR,1)
     */
    @ApiModelProperty(value="验证毛皮超差  0不验证  1验证",required=false)
    private String validPredictionDiff;

    /**
     * 是否有效 1有效 0无效(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否有效 1有效 0无效",required=false)
    private String validFlag;

    /**
     * 验证物料可计量时间段 0不验证  1验证(VALID_MAT_TIME,VARCHAR,1)
     */
    @ApiModelProperty(value="验证物料可计量时间段 0不验证  1验证",required=false)
    private String validMatTime;

    /**
     * 是否进行车号修正 0不修正 1修正(CAR_MONITOR,VARCHAR,1)
     */
    @ApiModelProperty(value="是否进行车号修正 0不修正 1修正",required=false)
    private String carMonitor;

    /**
     * 车号修正级别1-3（1=修正1位；2=修正连续的2位；3=修正连续的3位）(CAR_MONITOR_LVL,DECIMAL,0)
     */
    @ApiModelProperty(value="车号修正级别1-3（1=修正1位；2=修正连续的2位；3=修正连续的3位）",required=false)
    private Short carMonitorLvl;

    /**
     * 0未呼叫，1呼叫待接听，2呼叫已接听(IS_HELP,VARCHAR,1)
     */
    @ApiModelProperty(value="0未呼叫，1呼叫待接听，2呼叫已接听",required=false)
    private String isHelp;

    /**
     * 0智能终端，1远程计量呼叫(派位阶段)，2远程接管(IS_TAKE_OVER,VARCHAR,1)
     */
    @ApiModelProperty(value="0智能终端，1远程计量呼叫(派位阶段)，2远程接管",required=false)
    private String isTakeOver;

    /**
     * 写入LED的值(LED_WRITER,VARCHAR,200)
     */
    @ApiModelProperty(value="写入LED的值",required=false)
    private String ledWriter;

    /**
     * 打印纸张(PRINT_NUM,DECIMAL,4)
     */
    @ApiModelProperty(value="打印纸张",required=false)
    private Short printNum;

    /**
     * 与实时库对应的采集点(COLLECTION_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="与实时库对应的采集点",required=false)
    private String collectionCode;

    /**
     * 有值时为计量完成(IS_OVER_WGT,VARCHAR,40)
     */
    @ApiModelProperty(value="有值时为计量完成",required=false)
    private String isOverWgt;

    /**
     * 接管终端用户(USER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="接管终端用户",required=false)
    private String userNo;

    /**
     * 监控用户(MONITOR_USER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="监控用户",required=false)
    private String monitorUserNo;

    /**
     * 重置车号(SET_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="重置车号",required=false)
    private String setCar;

    /**
     * 0不读取LED_WRITER的值，1读取(LED_KEEP,VARCHAR,1)
     */
    @ApiModelProperty(value="0不读取LED_WRITER的值，1读取",required=false)
    private String ledKeep;

    /**
     * rfid车号(RFID_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="rfid车号",required=false)
    private String rfidCar;

    /**
     * 抓拍车号(PHOTO_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="抓拍车号",required=false)
    private String photoCar;

    /**
     * 扫描车号(SCAN_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="扫描车号",required=false)
    private String scanCar;

    /**
     * 修正车号(EDIT_CAR,VARCHAR,20)
     */
    @ApiModelProperty(value="修正车号",required=false)
    private String editCar;

    /**
     * 车号异常 0正常 1异常(CAR_ERR,VARCHAR,1)
     */
    @ApiModelProperty(value="车号异常 0正常 1异常",required=false)
    private String carErr;

    /**
     * 重量异常 0正常 1异常(WGT_ERR,VARCHAR,1)
     */
    @ApiModelProperty(value="重量异常 0正常 1异常",required=false)
    private String wgtErr;

    /**
     * 最后在线时间，由于时间不一定准，所以使用旧数据时间与当前时间比如果连续30次相同则认为掉线(LAST_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="最后在线时间，由于时间不一定准，所以使用旧数据时间与当前时间比如果连续30次相同则认为掉线",required=false)
    private Date lastTime;

    /**
     * 0正常 1停留超时(STOP_OVER_TIME,VARCHAR,1)
     */
    @ApiModelProperty(value="0正常 1停留超时",required=false)
    private String stopOverTime;

    /**
     * 现场终端提示信息(MSG_INFO,VARCHAR,400)
     */
    @ApiModelProperty(value="现场终端提示信息",required=false)
    private String msgInfo;

    /**
     * 现场显示的重量(WGT,DECIMAL,10)
     */
    @ApiModelProperty(value="现场显示的重量",required=false)
    private Long wgt;

    /**
     * 是否是监控界面点击的远程 0否 1是(IS_REMOTE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否是监控界面点击的远程 0否 1是",required=false)
    private String isRemote;

    /**
     * 称重仪表型号(WEIGH_INSTRUMENT_MODEL,VARCHAR,60)
     */
    @ApiModelProperty(value="称重仪表型号",required=false)
    private String weighInstrumentModel;

    /**
     * 称重仪表参数(WEIGH_INSTRUMENT_PARAM,VARCHAR,100)
     */
    @ApiModelProperty(value="称重仪表参数",required=false)
    private String weighInstrumentParam;

    /**
     * MOXA卡IP(MOXA_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="MOXA卡IP",required=false)
    private String moxaIp;

    /**
     * MOXA卡端口(MOXA_PORT,VARCHAR,10)
     */
    @ApiModelProperty(value="MOXA卡端口",required=false)
    private String moxaPort;

    /**
     * 验证联达  0不验证  1验证(VALID_LIANDA,VARCHAR,1)
     */
    @ApiModelProperty(value="验证联达  0不验证  1验证",required=false)
    private String validLianda;

    /**
     * 现场扫码器是否正常连接(0=连接异常，1=连接正常)(IS_OPEN_SCANNING,VARCHAR,1)
     */
    @ApiModelProperty(value="现场扫码器是否正常连接(0=连接异常，1=连接正常)",required=false)
    private String isOpenScanning;

    /**
     * 委托异常  0正常  1异常(VALID_IS_PRE,VARCHAR,1)
     */
    @ApiModelProperty(value="委托异常  0正常  1异常",required=false)
    private String validIsPre;

    /**
     * 接管用户IP(USER_IP,VARCHAR,30)
     */
    @ApiModelProperty(value="接管用户IP",required=false)
    private String userIp;

    /**
     * 衡器电源状态（0正常 1异常）(POWER_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="衡器电源状态（0正常 1异常）",required=false)
    private String powerState;

    /**
     * 硬盘录像机状态（0正常 1异常）(DVR_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="硬盘录像机状态（0正常 1异常）",required=false)
    private String dvrState;

    /**
     * MOXA状态（0正常 1异常）(MOXA_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="MOXA状态（0正常 1异常）",required=false)
    private String moxaState;

    /**
     * PLC状态（0正常 1异常）(PLC_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="PLC状态（0正常 1异常）",required=false)
    private String plcState;

    /**
     * 红外对射状态（0正常 1异常）(LEFT_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="红外对射状态（0正常 1异常）",required=false)
    private String leftInfraredRayState;

    /**
     * 红外对射状态（0正常 1异常）(RIGHT_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="红外对射状态（0正常 1异常）",required=false)
    private String rightInfraredRayState;

    /**
     * 功放状态（0正常 1异常）(AMPLIFIER_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="功放状态（0正常 1异常）",required=false)
    private String amplifierState;

    /**
     * 照明灯状态（0关闭的 1打开的）(LAMP_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="照明灯状态（0关闭的 1打开的）",required=false)
    private String lampState;

    /**
     * 站点类型(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="站点类型",required=false)
    private String spotTypeNo;

    /**
     * 红绿灯状态（0绿灯 1红灯）(RED_GREEN_LIGHT_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="红绿灯状态（0绿灯 1红灯）",required=false)
    private String redGreenLightState;

    /**
     * 前红外光栅状态（0正常 1异常）(FRONT_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="前红外光栅状态（0正常 1异常）",required=false)
    private String frontInfraredRayState;

    /**
     * 后红外光栅状态（0正常 1异常）(REAR_INFRARED_RAY_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="后红外光栅状态（0正常 1异常）",required=false)
    private String rearInfraredRayState;

    /**
     * rfid状态（0正常 1异常）(RFID_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="rfid状态（0正常 1异常）",required=false)
    private String rfidState;

    /**
     * 允许异地结净     0不验证  1验证(VALID_AREA,VARCHAR,1)
     */
    @ApiModelProperty(value="允许异地结净     0不验证  1验证",required=false)
    private String validArea;

    /**
     * 重量是否稳定     0不稳定    1稳定(WEIGHT_STATUS,VARCHAR,2)
     */
    @ApiModelProperty(value="重量是否稳定     0不稳定    1稳定",required=false)
    private String weightStatus;

    /**
     * 铁合金确认       0未确认  1已确认(FERROALLOY_CONFIRM,VARCHAR,1)
     */
    @ApiModelProperty(value="铁合金确认       0未确认  1已确认",required=false)
    private String ferroalloyConfirm;

    /**
     * 铁合金确认结果 0保存失败 1保存成功(FERROALLOY_RESULT,VARCHAR,200)
     */
    @ApiModelProperty(value="铁合金确认结果 0保存失败 1保存成功",required=false)
    private String ferroalloyResult;

    /**
     * 零点报警         0不报警  1报警(ZERO_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="零点报警         0不报警  1报警",required=false)
    private String zeroState;

    /**
     * 零点重量(ZERO_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="零点重量",required=false)
    private Short zeroWeight;

    /**
     * 验证零点报警    0:不验证   1:验证(IS_ZERO_STATE,VARCHAR,1)
     */
    @ApiModelProperty(value="验证零点报警    0:不验证   1:验证",required=false)
    private String isZeroState;

    /**
     * 允许扫码计量（0：允许；1：不允许，数据库默认为1）(IS_VALID_SCAN,VARCHAR,1)
     */
    @ApiModelProperty(value="允许扫码计量（0：允许；1：不允许，数据库默认为1）",required=false)
    private String isValidScan;

    /**
     * 是否播放声音（0：不播放；1：播放）(IS_ENABLE_SOUND,VARCHAR,1)
     */
    @ApiModelProperty(value="是否播放声音（0：不播放；1：播放）",required=false)
    private String isEnableSound;

    /**
     * 抓拍车号2(PHOTO_CAR2,VARCHAR,20)
     */
    @ApiModelProperty(value="抓拍车号2",required=false)
    private String photoCar2;

    @ApiModelProperty(value="监管人编号", required = false)
    private String userId;
    @ApiModelProperty(value="监管人", required = false)
    private String userName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.pointNo;
    }

    @Override
    public void setId(String pointNo) {
        this.pointNo = pointNo == null ? null : pointNo.trim();
    }

    public String getPointNo() {
        return pointNo;
    }

    public void setPointNo(String pointNo) {
        this.pointNo = pointNo == null ? null : pointNo.trim();
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName == null ? null : pointName.trim();
    }

    public String getValidWgt() {
        return validWgt;
    }

    public void setValidWgt(String validWgt) {
        this.validWgt = validWgt == null ? null : validWgt.trim();
    }

    public String getValidCarno() {
        return validCarno;
    }

    public void setValidCarno(String validCarno) {
        this.validCarno = validCarno == null ? null : validCarno.trim();
    }

    public String getValidTareTime() {
        return validTareTime;
    }

    public void setValidTareTime(String validTareTime) {
        this.validTareTime = validTareTime == null ? null : validTareTime.trim();
    }

    public String getValidTimeInterval() {
        return validTimeInterval;
    }

    public void setValidTimeInterval(String validTimeInterval) {
        this.validTimeInterval = validTimeInterval == null ? null : validTimeInterval.trim();
    }

    public String getValidParkStatus() {
        return validParkStatus;
    }

    public void setValidParkStatus(String validParkStatus) {
        this.validParkStatus = validParkStatus == null ? null : validParkStatus.trim();
    }

    public String getValidExceedWgt() {
        return validExceedWgt;
    }

    public void setValidExceedWgt(String validExceedWgt) {
        this.validExceedWgt = validExceedWgt == null ? null : validExceedWgt.trim();
    }

    public String getValidPredictionDiff() {
        return validPredictionDiff;
    }

    public void setValidPredictionDiff(String validPredictionDiff) {
        this.validPredictionDiff = validPredictionDiff == null ? null : validPredictionDiff.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getValidMatTime() {
        return validMatTime;
    }

    public void setValidMatTime(String validMatTime) {
        this.validMatTime = validMatTime == null ? null : validMatTime.trim();
    }

    public String getCarMonitor() {
        return carMonitor;
    }

    public void setCarMonitor(String carMonitor) {
        this.carMonitor = carMonitor == null ? null : carMonitor.trim();
    }

    public Short getCarMonitorLvl() {
        return carMonitorLvl;
    }

    public void setCarMonitorLvl(Short carMonitorLvl) {
        this.carMonitorLvl = carMonitorLvl;
    }

    public String getIsHelp() {
        return isHelp;
    }

    public void setIsHelp(String isHelp) {
        this.isHelp = isHelp == null ? null : isHelp.trim();
    }

    public String getIsTakeOver() {
        return isTakeOver;
    }

    public void setIsTakeOver(String isTakeOver) {
        this.isTakeOver = isTakeOver == null ? null : isTakeOver.trim();
    }

    public String getLedWriter() {
        return ledWriter;
    }

    public void setLedWriter(String ledWriter) {
        this.ledWriter = ledWriter == null ? null : ledWriter.trim();
    }

    public Short getPrintNum() {
        return printNum;
    }

    public void setPrintNum(Short printNum) {
        this.printNum = printNum;
    }

    public String getCollectionCode() {
        return collectionCode;
    }

    public void setCollectionCode(String collectionCode) {
        this.collectionCode = collectionCode == null ? null : collectionCode.trim();
    }

    public String getIsOverWgt() {
        return isOverWgt;
    }

    public void setIsOverWgt(String isOverWgt) {
        this.isOverWgt = isOverWgt == null ? null : isOverWgt.trim();
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo == null ? null : userNo.trim();
    }

    public String getMonitorUserNo() {
        return monitorUserNo;
    }

    public void setMonitorUserNo(String monitorUserNo) {
        this.monitorUserNo = monitorUserNo == null ? null : monitorUserNo.trim();
    }

    public String getSetCar() {
        return setCar;
    }

    public void setSetCar(String setCar) {
        this.setCar = setCar == null ? null : setCar.trim();
    }

    public String getLedKeep() {
        return ledKeep;
    }

    public void setLedKeep(String ledKeep) {
        this.ledKeep = ledKeep == null ? null : ledKeep.trim();
    }

    public String getRfidCar() {
        return rfidCar;
    }

    public void setRfidCar(String rfidCar) {
        this.rfidCar = rfidCar == null ? null : rfidCar.trim();
    }

    public String getPhotoCar() {
        return photoCar;
    }

    public void setPhotoCar(String photoCar) {
        this.photoCar = photoCar == null ? null : photoCar.trim();
    }

    public String getScanCar() {
        return scanCar;
    }

    public void setScanCar(String scanCar) {
        this.scanCar = scanCar == null ? null : scanCar.trim();
    }

    public String getEditCar() {
        return editCar;
    }

    public void setEditCar(String editCar) {
        this.editCar = editCar == null ? null : editCar.trim();
    }

    public String getCarErr() {
        return carErr;
    }

    public void setCarErr(String carErr) {
        this.carErr = carErr == null ? null : carErr.trim();
    }

    public String getWgtErr() {
        return wgtErr;
    }

    public void setWgtErr(String wgtErr) {
        this.wgtErr = wgtErr == null ? null : wgtErr.trim();
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public String getStopOverTime() {
        return stopOverTime;
    }

    public void setStopOverTime(String stopOverTime) {
        this.stopOverTime = stopOverTime == null ? null : stopOverTime.trim();
    }

    public String getMsgInfo() {
        return msgInfo;
    }

    public void setMsgInfo(String msgInfo) {
        this.msgInfo = msgInfo == null ? null : msgInfo.trim();
    }

    public Long getWgt() {
        return wgt;
    }

    public void setWgt(Long wgt) {
        this.wgt = wgt;
    }

    public String getIsRemote() {
        return isRemote;
    }

    public void setIsRemote(String isRemote) {
        this.isRemote = isRemote == null ? null : isRemote.trim();
    }

    public String getWeighInstrumentModel() {
        return weighInstrumentModel;
    }

    public void setWeighInstrumentModel(String weighInstrumentModel) {
        this.weighInstrumentModel = weighInstrumentModel == null ? null : weighInstrumentModel.trim();
    }

    public String getWeighInstrumentParam() {
        return weighInstrumentParam;
    }

    public void setWeighInstrumentParam(String weighInstrumentParam) {
        this.weighInstrumentParam = weighInstrumentParam == null ? null : weighInstrumentParam.trim();
    }

    public String getMoxaIp() {
        return moxaIp;
    }

    public void setMoxaIp(String moxaIp) {
        this.moxaIp = moxaIp == null ? null : moxaIp.trim();
    }

    public String getMoxaPort() {
        return moxaPort;
    }

    public void setMoxaPort(String moxaPort) {
        this.moxaPort = moxaPort == null ? null : moxaPort.trim();
    }

    public String getValidLianda() {
        return validLianda;
    }

    public void setValidLianda(String validLianda) {
        this.validLianda = validLianda == null ? null : validLianda.trim();
    }

    public String getIsOpenScanning() {
        return isOpenScanning;
    }

    public void setIsOpenScanning(String isOpenScanning) {
        this.isOpenScanning = isOpenScanning == null ? null : isOpenScanning.trim();
    }

    public String getValidIsPre() {
        return validIsPre;
    }

    public void setValidIsPre(String validIsPre) {
        this.validIsPre = validIsPre == null ? null : validIsPre.trim();
    }

    public String getUserIp() {
        return userIp;
    }

    public void setUserIp(String userIp) {
        this.userIp = userIp == null ? null : userIp.trim();
    }

    public String getPowerState() {
        return powerState;
    }

    public void setPowerState(String powerState) {
        this.powerState = powerState == null ? null : powerState.trim();
    }

    public String getDvrState() {
        return dvrState;
    }

    public void setDvrState(String dvrState) {
        this.dvrState = dvrState == null ? null : dvrState.trim();
    }

    public String getMoxaState() {
        return moxaState;
    }

    public void setMoxaState(String moxaState) {
        this.moxaState = moxaState == null ? null : moxaState.trim();
    }

    public String getPlcState() {
        return plcState;
    }

    public void setPlcState(String plcState) {
        this.plcState = plcState == null ? null : plcState.trim();
    }

    public String getLeftInfraredRayState() {
        return leftInfraredRayState;
    }

    public void setLeftInfraredRayState(String leftInfraredRayState) {
        this.leftInfraredRayState = leftInfraredRayState == null ? null : leftInfraredRayState.trim();
    }

    public String getRightInfraredRayState() {
        return rightInfraredRayState;
    }

    public void setRightInfraredRayState(String rightInfraredRayState) {
        this.rightInfraredRayState = rightInfraredRayState == null ? null : rightInfraredRayState.trim();
    }

    public String getAmplifierState() {
        return amplifierState;
    }

    public void setAmplifierState(String amplifierState) {
        this.amplifierState = amplifierState == null ? null : amplifierState.trim();
    }

    public String getLampState() {
        return lampState;
    }

    public void setLampState(String lampState) {
        this.lampState = lampState == null ? null : lampState.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getRedGreenLightState() {
        return redGreenLightState;
    }

    public void setRedGreenLightState(String redGreenLightState) {
        this.redGreenLightState = redGreenLightState == null ? null : redGreenLightState.trim();
    }

    public String getFrontInfraredRayState() {
        return frontInfraredRayState;
    }

    public void setFrontInfraredRayState(String frontInfraredRayState) {
        this.frontInfraredRayState = frontInfraredRayState == null ? null : frontInfraredRayState.trim();
    }

    public String getRearInfraredRayState() {
        return rearInfraredRayState;
    }

    public void setRearInfraredRayState(String rearInfraredRayState) {
        this.rearInfraredRayState = rearInfraredRayState == null ? null : rearInfraredRayState.trim();
    }

    public String getRfidState() {
        return rfidState;
    }

    public void setRfidState(String rfidState) {
        this.rfidState = rfidState == null ? null : rfidState.trim();
    }

    public String getValidArea() {
        return validArea;
    }

    public void setValidArea(String validArea) {
        this.validArea = validArea == null ? null : validArea.trim();
    }

    public String getWeightStatus() {
        return weightStatus;
    }

    public void setWeightStatus(String weightStatus) {
        this.weightStatus = weightStatus == null ? null : weightStatus.trim();
    }

    public String getFerroalloyConfirm() {
        return ferroalloyConfirm;
    }

    public void setFerroalloyConfirm(String ferroalloyConfirm) {
        this.ferroalloyConfirm = ferroalloyConfirm == null ? null : ferroalloyConfirm.trim();
    }

    public String getFerroalloyResult() {
        return ferroalloyResult;
    }

    public void setFerroalloyResult(String ferroalloyResult) {
        this.ferroalloyResult = ferroalloyResult == null ? null : ferroalloyResult.trim();
    }

    public String getZeroState() {
        return zeroState;
    }

    public void setZeroState(String zeroState) {
        this.zeroState = zeroState == null ? null : zeroState.trim();
    }

    public Short getZeroWeight() {
        return zeroWeight;
    }

    public void setZeroWeight(Short zeroWeight) {
        this.zeroWeight = zeroWeight;
    }

    public String getIsZeroState() {
        return isZeroState;
    }

    public void setIsZeroState(String isZeroState) {
        this.isZeroState = isZeroState == null ? null : isZeroState.trim();
    }

    public String getIsValidScan() {
        return isValidScan;
    }

    public void setIsValidScan(String isValidScan) {
        this.isValidScan = isValidScan == null ? null : isValidScan.trim();
    }

    public String getIsEnableSound() {
        return isEnableSound;
    }

    public void setIsEnableSound(String isEnableSound) {
        this.isEnableSound = isEnableSound == null ? null : isEnableSound.trim();
    }

    public String getPhotoCar2() {
        return photoCar2;
    }

    public void setPhotoCar2(String photoCar2) {
        this.photoCar2 = photoCar2 == null ? null : photoCar2.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public MeterWorkMonitor() {

    }

    public MeterWorkMonitor(String pointNo, String pointName, String validWgt, String validCarno, String validTareTime, String validTimeInterval, String validParkStatus, String validExceedWgt, String validPredictionDiff, String validFlag, String validMatTime, String carMonitor, Short carMonitorLvl, String isHelp, String isTakeOver, String ledWriter, Short printNum, String collectionCode, String isOverWgt, String userNo, String monitorUserNo, String setCar, String ledKeep, String rfidCar, String photoCar, String scanCar, String editCar, String carErr, String wgtErr, Date lastTime, String stopOverTime, String msgInfo, Long wgt, String isRemote, String weighInstrumentModel, String weighInstrumentParam, String moxaIp, String moxaPort, String validLianda, String isOpenScanning, String validIsPre, String userIp, String powerState, String dvrState, String moxaState, String plcState, String leftInfraredRayState, String rightInfraredRayState, String amplifierState, String lampState, String spotTypeNo, String redGreenLightState, String frontInfraredRayState, String rearInfraredRayState, String rfidState, String validArea, String weightStatus, String ferroalloyConfirm, String ferroalloyResult, String zeroState, short zeroWeight, String isZeroState, String isEnableSound, String userId, String userName) {
        this.pointNo = pointNo;
        this.pointName = pointName;
        this.validWgt = validWgt;
        this.validCarno = validCarno;
        this.validTareTime = validTareTime;
        this.validTimeInterval = validTimeInterval;
        this.validParkStatus = validParkStatus;
        this.validExceedWgt = validExceedWgt;
        this.validPredictionDiff = validPredictionDiff;
        this.validFlag = validFlag;
        this.validMatTime = validMatTime;
        this.carMonitor = carMonitor;
        this.carMonitorLvl = carMonitorLvl;
        this.isHelp = isHelp;
        this.isTakeOver = isTakeOver;
        this.ledWriter = ledWriter;
        this.printNum = printNum;
        this.collectionCode = collectionCode;
        this.isOverWgt = isOverWgt;
        this.userNo = userNo;
        this.monitorUserNo = monitorUserNo;
        this.setCar = setCar;
        this.ledKeep = ledKeep;
        this.rfidCar = rfidCar;
        this.photoCar = photoCar;
        this.scanCar = scanCar;
        this.editCar = editCar;
        this.carErr = carErr;
        this.wgtErr = wgtErr;
        this.lastTime = lastTime;
        this.stopOverTime = stopOverTime;
        this.msgInfo = msgInfo;
        this.wgt = wgt;
        this.isRemote = isRemote;
        this.weighInstrumentModel = weighInstrumentModel;
        this.weighInstrumentParam = weighInstrumentParam;
        this.moxaIp = moxaIp;
        this.moxaPort = moxaPort;
        this.validLianda = validLianda;
        this.isOpenScanning = isOpenScanning;
        this.validIsPre = validIsPre;
        this.userIp = userIp;
        this.powerState = powerState;
        this.dvrState = dvrState;
        this.moxaState = moxaState;
        this.plcState = plcState;
        this.leftInfraredRayState = leftInfraredRayState;
        this.rightInfraredRayState = rightInfraredRayState;
        this.amplifierState = amplifierState;
        this.lampState = lampState;
        this.spotTypeNo = spotTypeNo;
        this.redGreenLightState = redGreenLightState;
        this.frontInfraredRayState = frontInfraredRayState;
        this.rearInfraredRayState = rearInfraredRayState;
        this.rfidState = rfidState;
        this.validArea = validArea;
        this.weightStatus = weightStatus;
        this.ferroalloyConfirm = ferroalloyConfirm;
        this.ferroalloyResult = ferroalloyResult;
        this.zeroState = zeroState;
        this.zeroWeight = zeroWeight;
        this.isZeroState = isZeroState;
        this.isValidScan = isValidScan;
        this.isEnableSound = isEnableSound;
        this.photoCar2 = photoCar2;
        this.userId = userId;
        this.userName = userName;
    }

    public MeterWorkMonitor(MeterWorkMonitor meterWorkMonitor) {
        this.pointNo = meterWorkMonitor.pointNo;
        this.pointName = meterWorkMonitor.pointName;
        this.validWgt = meterWorkMonitor.validWgt;
        this.validCarno = meterWorkMonitor.validCarno;
        this.validTareTime = meterWorkMonitor.validTareTime;
        this.validTimeInterval = meterWorkMonitor.validTimeInterval;
        this.validParkStatus = meterWorkMonitor.validParkStatus;
        this.validExceedWgt = meterWorkMonitor.validExceedWgt;
        this.validPredictionDiff = meterWorkMonitor.validPredictionDiff;
        this.validFlag = meterWorkMonitor.validFlag;
        this.validMatTime = meterWorkMonitor.validMatTime;
        this.carMonitor = meterWorkMonitor.carMonitor;
        this.carMonitorLvl = meterWorkMonitor.carMonitorLvl;
        this.isHelp = meterWorkMonitor.isHelp;
        this.isTakeOver = meterWorkMonitor.isTakeOver;
        this.ledWriter = meterWorkMonitor.ledWriter;
        this.printNum = meterWorkMonitor.printNum;
        this.collectionCode = meterWorkMonitor.collectionCode;
        this.isOverWgt = meterWorkMonitor.isOverWgt;
        this.userNo = meterWorkMonitor.userNo;
        this.monitorUserNo = meterWorkMonitor.monitorUserNo;
        this.setCar = meterWorkMonitor.setCar;
        this.ledKeep = meterWorkMonitor.ledKeep;
        this.rfidCar = meterWorkMonitor.rfidCar;
        this.photoCar = meterWorkMonitor.photoCar;
        this.photoCar2 = meterWorkMonitor.photoCar2;
        this.scanCar = meterWorkMonitor.scanCar;
        this.editCar = meterWorkMonitor.editCar;
        this.carErr = meterWorkMonitor.carErr;
        this.wgtErr = meterWorkMonitor.wgtErr;
        this.lastTime = meterWorkMonitor.lastTime;
        this.stopOverTime = meterWorkMonitor.stopOverTime;
        this.msgInfo = meterWorkMonitor.msgInfo;
        this.wgt = meterWorkMonitor.wgt;
        this.isRemote = meterWorkMonitor.isRemote;
        this.weighInstrumentModel = meterWorkMonitor.weighInstrumentModel;
        this.weighInstrumentParam = meterWorkMonitor.weighInstrumentParam;
        this.moxaIp = meterWorkMonitor.moxaIp;
        this.moxaPort = meterWorkMonitor.moxaPort;
        this.validLianda = meterWorkMonitor.validLianda;
        this.isOpenScanning = meterWorkMonitor.isOpenScanning;
        this.validIsPre = meterWorkMonitor.validIsPre;
        this.userIp = meterWorkMonitor.userIp;
        this.powerState = meterWorkMonitor.powerState;
        this.dvrState = meterWorkMonitor.dvrState;
        this.moxaState = meterWorkMonitor.moxaState;
        this.plcState = meterWorkMonitor.plcState;
        this.leftInfraredRayState = meterWorkMonitor.leftInfraredRayState;
        this.rightInfraredRayState = meterWorkMonitor.rightInfraredRayState;
        this.amplifierState = meterWorkMonitor.amplifierState;
        this.lampState = meterWorkMonitor.lampState;
        this.spotTypeNo = meterWorkMonitor.spotTypeNo;
        this.redGreenLightState = meterWorkMonitor.redGreenLightState;
        this.frontInfraredRayState = meterWorkMonitor.frontInfraredRayState;
        this.rearInfraredRayState = meterWorkMonitor.rearInfraredRayState;
        this.rfidState = meterWorkMonitor.rfidState;
        this.validArea = meterWorkMonitor.validArea;
        this.weightStatus = meterWorkMonitor.weightStatus;
        this.ferroalloyConfirm = meterWorkMonitor.ferroalloyConfirm;
        this.ferroalloyResult = meterWorkMonitor.ferroalloyResult;
        this.zeroState = meterWorkMonitor.zeroState;
        this.zeroWeight = meterWorkMonitor.zeroWeight;
        this.isZeroState = meterWorkMonitor.isZeroState;
        this.isValidScan = meterWorkMonitor.isValidScan;
        this.isEnableSound = meterWorkMonitor.isEnableSound;
        this.photoCar2 = meterWorkMonitor.photoCar2;
        this.isEnableSound = meterWorkMonitor.isEnableSound;
        this.userId = meterWorkMonitor.userId;
        this.userName = meterWorkMonitor.userName;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pointNo=").append(pointNo);
        sb.append(", pointName=").append(pointName);
        sb.append(", validWgt=").append(validWgt);
        sb.append(", validCarno=").append(validCarno);
        sb.append(", validTareTime=").append(validTareTime);
        sb.append(", validTimeInterval=").append(validTimeInterval);
        sb.append(", validParkStatus=").append(validParkStatus);
        sb.append(", validExceedWgt=").append(validExceedWgt);
        sb.append(", validPredictionDiff=").append(validPredictionDiff);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", validMatTime=").append(validMatTime);
        sb.append(", carMonitor=").append(carMonitor);
        sb.append(", carMonitorLvl=").append(carMonitorLvl);
        sb.append(", isHelp=").append(isHelp);
        sb.append(", isTakeOver=").append(isTakeOver);
        sb.append(", ledWriter=").append(ledWriter);
        sb.append(", printNum=").append(printNum);
        sb.append(", collectionCode=").append(collectionCode);
        sb.append(", isOverWgt=").append(isOverWgt);
        sb.append(", userNo=").append(userNo);
        sb.append(", monitorUserNo=").append(monitorUserNo);
        sb.append(", setCar=").append(setCar);
        sb.append(", ledKeep=").append(ledKeep);
        sb.append(", rfidCar=").append(rfidCar);
        sb.append(", photoCar=").append(photoCar);
        sb.append(", scanCar=").append(scanCar);
        sb.append(", editCar=").append(editCar);
        sb.append(", carErr=").append(carErr);
        sb.append(", wgtErr=").append(wgtErr);
        sb.append(", lastTime=").append(lastTime);
        sb.append(", stopOverTime=").append(stopOverTime);
        sb.append(", msgInfo=").append(msgInfo);
        sb.append(", wgt=").append(wgt);
        sb.append(", isRemote=").append(isRemote);
        sb.append(", weighInstrumentModel=").append(weighInstrumentModel);
        sb.append(", weighInstrumentParam=").append(weighInstrumentParam);
        sb.append(", moxaIp=").append(moxaIp);
        sb.append(", moxaPort=").append(moxaPort);
        sb.append(", validLianda=").append(validLianda);
        sb.append(", isOpenScanning=").append(isOpenScanning);
        sb.append(", validIsPre=").append(validIsPre);
        sb.append(", userIp=").append(userIp);
        sb.append(", powerState=").append(powerState);
        sb.append(", dvrState=").append(dvrState);
        sb.append(", moxaState=").append(moxaState);
        sb.append(", plcState=").append(plcState);
        sb.append(", leftInfraredRayState=").append(leftInfraredRayState);
        sb.append(", rightInfraredRayState=").append(rightInfraredRayState);
        sb.append(", amplifierState=").append(amplifierState);
        sb.append(", lampState=").append(lampState);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", redGreenLightState=").append(redGreenLightState);
        sb.append(", frontInfraredRayState=").append(frontInfraredRayState);
        sb.append(", rearInfraredRayState=").append(rearInfraredRayState);
        sb.append(", rfidState=").append(rfidState);
        sb.append(", validArea=").append(validArea);
        sb.append(", weightStatus=").append(weightStatus);
        sb.append(", ferroalloyConfirm=").append(ferroalloyConfirm);
        sb.append(", ferroalloyResult=").append(ferroalloyResult);
        sb.append(", zeroState=").append(zeroState);
        sb.append(", zeroWeight=").append(zeroWeight);
        sb.append(", isZeroState=").append(isZeroState);
        sb.append(", isValidScan=").append(isValidScan);
        sb.append(", isEnableSound=").append(isEnableSound);
        sb.append(", photoCar2=").append(photoCar2);
        sb.append(", userId=").append(userId);
        sb.append(", userName=").append(userName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
